using System.ComponentModel;

namespace Decal.Adapter.Wrappers;

public interface IControlWrapper
{
	[EditorBrowsable(EditorBrowsableState.Never)]
	object Underlying { get; }

	int Id { get; }

	int ChildCount { get; }

	[EditorBrowsable(EditorBrowsableState.Never)]
	void Initialize(object control);

	[EditorBrowsable(EditorBrowsableState.Never)]
	object ChildById(int id);

	[EditorBrowsable(EditorBrowsableState.Never)]
	object ChildByIndex(int index);
}
